/******************************************************************************
* Menu definitions for frames example.                                        *
******************************************************************************/

//-----------------------------------------------------------------------------
// Menu 1
//-----------------------------------------------------------------------------

var menu1 = new PopUpMenu(120);
menu1.setSizes(2, 2, 2, 2);
menu1.setColors("#ffffff", "#336699", "#000000", "#99ccff", "#6699cc", "#000000", "#6699cc", "#000000");
menu1.setFont("Arial,Helvetica", "plain", "bold", "11pt");
menu1.setImages("graphics/transparent.gif", "graphics/menu3_norm.gif", "graphics/menu3_high.gif", 10, 12);

menu1.addItem(new PopUpMenuItem("Menu 1 Item 1", "../blank.html"));
menu1.addItem(new PopUpMenuItem("Menu 1 Item 2", "../blank.html"));
menu1.addItem(new PopUpMenuItem("Menu 1 Item 3", "../blank.html"));
menu1.addItem(new PopUpMenuItem("Menu 1 Item 4", "../blank.html"));
menu1.addItem(new PopUpMenuItem("Menu 1 Item 5", "../blank.html"));
menu1.addItem(new PopUpMenuItem("Menu 1 Item 6", "../blank.html"));

//-----------------------------------------------------------------------------
// Menu 2
//-----------------------------------------------------------------------------

var menu2 = new PopUpMenu(130);
menu2.copyAttributes(menu1);

var menu2a = new PopUpMenu(130);
menu2a.copyAttributes(menu2);

var menu2b = new PopUpMenu(130);
menu2b.copyAttributes(menu2);

var menu2a6 = new PopUpMenu(130);
menu2a6.copyAttributes(menu2);

menu2.addSubmenu(new PopUpMenuItem("Menu 2 Item 1", "../blank.html')"), menu2a);
menu2.addSubmenu(new PopUpMenuItem("Menu 2 Item 2", "../blank.html"), menu2b);
menu2.addSeparator();
menu2.addItem(new PopUpMenuItem("Menu 2 Item 3", "../blank.html"));
menu2.addItem(new PopUpMenuItem("Menu 2 Item 4", "../blank.html"));
menu2.addItem(new PopUpMenuItem("Menu 2 Item 5", "../blank.html"));

menu2a.addItem(new PopUpMenuItem("Menu 2A Item 1", "../blank.html"));
menu2a.addItem(new PopUpMenuItem("Menu 2A Item 2", "../blank.html"));
menu2a.addItem(new PopUpMenuItem("Menu 2A Item 3", "../blank.html"));
menu2a.addItem(new PopUpMenuItem("Menu 2A Item 4", "../blank.html"));
menu2a.addItem(new PopUpMenuItem("Menu 2A Item 5", "../blank.html"));
menu2a.addSeparator();
menu2a.addSubmenu(new PopUpMenuItem("Menu 2A Item 6", "../blank.html"), menu2a6);

menu2b.addItem(new PopUpMenuItem("Menu 2B Item 1", "../blank.html"));
menu2b.addItem(new PopUpMenuItem("Menu 2B Item 2", "../blank.html"));
menu2b.addItem(new PopUpMenuItem("Menu 2B Item 3", "../blank.html"));
menu2b.addItem(new PopUpMenuItem("Menu 2B Item 4", "../blank.html"));

menu2a6.addItem(new PopUpMenuItem("Menu 2A6 Item 1", "../blank.html"));
menu2a6.addItem(new PopUpMenuItem("Menu 2A6 Item 2", "../blank.html"));
menu2a6.addItem(new PopUpMenuItem("Menu 2A6 Item 3", "../blank.html"));

//-----------------------------------------------------------------------------
// Menu 3
//-----------------------------------------------------------------------------

var menu3 = new PopUpMenu(120);
menu3.copyAttributes(menu1);

menu3.addItem(new PopUpMenuItem("Menu 3 Item 1", "../blank.html"));
menu3.addItem(new PopUpMenuItem("Menu 3 Item 2", "../blank.html"));
menu3.addItem(new PopUpMenuItem("Menu 3 Item 3", "../blank.html"));
menu3.addItem(new PopUpMenuItem("Menu 3 Item 4", "../blank.html"));

//-----------------------------------------------------------------------------
// Function to initialize the menus, called after the page loads.
//-----------------------------------------------------------------------------

window.onload = initMenus;

function initMenus() {

  // Build then menus.

  menu1.create();
  menu2.create();
  menu3.create();
}
