
public class QueryTag extends BodyTagSupport {  
             public int doAfterBody() throws JspTagException {    
                BodyContent bc = getBodyContent();        
                // get the bc as string   
                String query = bc.getString();    
                // clean up       
                bc.clearBody();   
                try {     
                   Statement stmt = connection.createStatement(); 
                   result = stmt.executeQuery(query);     
                } catch (SQLException e) {        
                   throw new JspTagException("QueryTag: " +       
                       e.getMessage());   
                } 
                return SKIP_BODY; 
             }    
          }


public class QueryTag extends BodyTagSupport {  
             private String connectionId; 
             public int doStartTag() throws JspException {        
                String cid = getConnection();     
                if (cid != null) {        
                // there is a connection id, use it       
                   connection =(Connection)pageContext.   
                      getAttribute(cid);  
                } else {  
                   ConnectionTag ancestorTag =    
                      (ConnectionTag)findAncestorWithClass(this,  
                         ConnectionTag.class);    
                   if (ancestorTag == null) {     
                      throw new JspTagException("A query without  
                         a connection attribute must be nested    
                         within a connection tag.");      
                   }      
                   connection = ancestorTag.getConnection();      
                } 
             }    
          }
           
