function List_toArea() {
	var i;
	var str="";
	for(i=0;i<this.len;i++) {
		str+=this[i].toArea();
	}
	return str;
}


function List_toOption() {
	var i;
	var str="";
	for(i=0;i<this.len;i++) {
		str+=this[i].toOption();
		//str+="<OPTION>TEST2</OPTION>";
	}
	//str+="<OPTION>TEST1</OPTION>";
	return str;
}

function List_toName() {
	var i;
	var str="";
	for(i=0;i<this.len;i++) {
		str+=this[i].name+" ";
	}
	return str;
}

function List_add(obj){
	this[this.len]=obj;
	this.len+=1;
}

function List(){
  // city Object constructor

  // properties
	this.len=0;

  // Methods

	this.add=List_add;
	this.toArea=List_toArea;
	this.toOption=List_toOption;
	this.toName=List_toName;

  // End of Constructor

	return this;
}


function city_toArea(){
	return 	"<AREA SHAPE='CIRCLE' "
	+ 	" COORDS='"+this.centerx+","+this.centery+","+this.radium+"' "
	+	" HREF='javascript:f_HREF(\'"+this.name+"\')' "
	//+	" onMouseOver='f_onMouseOver(\'"+this.name+"\')'>"
	;
  }

function city_toOption(){
	return 	"<OPTION VALUE='"+this.id+"' >"
	+ 	this.name
	+	"</OPTION>"
	;
  }

function city(centerx,centery,radium,id,name){
  // city Object constructor

  // properties
	this.centerx=centerx;
	this.centery=centery;
	this.radium=radium;
	this.id=id;
	this.name=name;

  // Methods

  this.toArea=city_toArea;
  this.toOption=city_toOption;

  // End of Constructor
	return this;
}

cities=new List();
cities.add(new city(405,63,3,'01384','OSLO'));
cities.add(new city(420,65,3,'02464','STOCKHOLM'));
cities.add(new city(435,63,3,'02974','HELSINKI'));
cities.add(new city(381,82,3,'03772','LONDRES'));
cities.add(new city(369,78,3,'03969','DUBLIN'));
cities.add(new city(339,55,3,'04030','REYKJAVIK'));
cities.add(new city(409,73,3,'06180','COPENHAGUE'));
cities.add(new city(392,80,3,'06240','AMSTERDAM'));
cities.add(new city(391,83,3,'06451','BRUXELLES'));
cities.add(new city(395,86,3,'06590','LUXEMBOURG'));
cities.add(new city(398,91,3,'06643','BERNE'));
cities.add(new city(387,87,3,'07156','PARIS'));
cities.add(new city(374,105,3,'08221','MADRID'));
cities.add(new city(362,109,3,'08579','LISBONNE'));
cities.add(new city(410,80,3,'10384','BERLIN'));
cities.add(new city(397,83,3,'10513','BONN'));
cities.add(new city(417,89,3,'11035','VIENNE'));
cities.add(new city(412,85,3,'11518','PRAGUE'));
cities.add(new city(418,89,3,'11816','BRATISLAVA'));
cities.add(new city(426,80,3,'12375','VARSOVIE'));
cities.add(new city(422,90,3,'12843','BUDAPEST'));
cities.add(new city(425,96,3,'13272','BELGRADE'));
cities.add(new city(424,103,3,'13615','TIRANA'));
cities.add(new city(413,93,3,'14014','LJUBLJIANA'));
cities.add(new city(416,94,3,'14241','ZAGREB'));
cities.add(new city(421,98,3,'14654','SARAJEVO'));
cities.add(new city(437,97,3,'15420','BUCAREST'));
cities.add(new city(431,100,3,'15614','SOFIA'));
cities.add(new city(408,102,3,'16242','ROME'));
cities.add(new city(432,111,3,'16716','ATHENES'));
cities.add(new city(451,106,3,'17129','ANKARA'));
cities.add(new city(434,65,3,'26038','TALLINN'));
cities.add(new city(446,64,3,'26063','ST.PETERSBOURG'));
cities.add(new city(433,64,3,'26422','RIGA'));
cities.add(new city(435,75,3,'26730','VILNIUS'));
cities.add(new city(440,77,3,'26850','MINSK'));
cities.add(new city(461,73,3,'27612','MOSCOU'));
cities.add(new city(446,84,3,'33345','KIEV'));
cities.add(new city(447,92,3,'33837','ODESSA'));
cities.add(new city(459,120,3,'40080','DAMAS'));
cities.add(new city(457,119,3,'40100','BEYROUTH'));
cities.add(new city(456,123,3,'40180','TEL-AVIV'));
cities.add(new city(457,123,3,'40184','JERUSALEM'));
cities.add(new city(458,123,3,'40270','AMMAN'));
cities.add(new city(481,138,3,'40438','RIYAHD'));
cities.add(new city(484,129,3,'40582','KUWAIT'));
cities.add(new city(476,120,3,'40650','BAGHDAD'));
cities.add(new city(491,115,3,'40754','TEHERAN'));
cities.add(new city(466,145,3,'41030','MAKKAH'));
cities.add(new city(489,135,3,'41150','BAHRAIN'));
cities.add(new city(491,137,3,'41170','DOHA'));
cities.add(new city(499,137,3,'41194','DUBAI'));
cities.add(new city(502,143,3,'41262','FAHUD'));
cities.add(new city(477,164,3,'41480','ADEN'));
cities.add(new city(546,130,3,'42182','NEW-DELHI'));
cities.add(new city(536,150,3,'43003','BOMBAY'));
cities.add(new city(624,144,3,'45004','HONG-KONG'));
cities.add(new city(657,111,3,'47108','SEOUL'));
cities.add(new city(678,115,3,'47662','TOKYO'));
cities.add(new city(595,161,3,'48456','BANGKOK'));
cities.add(new city(602,188,3,'48698','SINGAPOUR'));
cities.add(new city(606,146,3,'48820','HANOI'));
cities.add(new city(608,168,3,'48900','SAIGON'));
cities.add(new city(628,106,3,'54511','PEKIN'));
cities.add(new city(347,131,3,'60015','TENERIFE'));
cities.add(new city(349,132,3,'60030','LAS-PALMAS'));
cities.add(new city(369,115,3,'60101','TANGER'));
cities.add(new city(367,119,3,'60135','RABAT'));
cities.add(new city(366,120,3,'60155','CASABLANCA'));
cities.add(new city(365,124,3,'60230','MARRAKECH'));
cities.add(new city(362,127,3,'60252','AGADIR'));
cities.add(new city(389,113,3,'60390','ALGER'));
cities.add(new city(381,115,3,'60490','ORAN'));
cities.add(new city(390,122,3,'60566','GHARDAHIA'));
cities.add(new city(395,124,3,'60581','OUARGLA'));
cities.add(new city(387,133,3,'60630','IN_SALAH'));
cities.add(new city(394,143,3,'60680','TAMANRASSET'));
cities.add(new city(403,113,3,'60715','TUNIS'));
cities.add(new city(403,119,3,'60765','GABES'));
cities.add(new city(405,119,3,'60769','DJERBA'));
cities.add(new city(399,155,3,'61024','AGADES'));
cities.add(new city(386,162,3,'61052','NIAMEY'));
cities.add(new city(384,148,3,'61202','TESSALIT'));
cities.add(new city(365,164,3,'61291','BAMAKO'));
cities.add(new city(357,137,3,'61401','BIR_MOGHREIN'));
cities.add(new city(348,153,3,'61442','NOUAKCHOTT'));
cities.add(new city(345,160,3,'61641','DAKAR'));
cities.add(new city(353,171,3,'61832','CONAKRY'));
cities.add(new city(500,235,3,'61980','ST-DENIS-REUNION'));
cities.add(new city(410,122,3,'62010','TRIPOLI'));
cities.add(new city(425,123,3,'62053','BANGHAZI'));
cities.add(new city(412,134,3,'62124','SABHA'));
cities.add(new city(431,140,3,'62271','KUFRA'));
cities.add(new city(445,125,3,'62318','ALEXANDRIE'));
cities.add(new city(448,127,3,'62366','LE-CAIRE'));
cities.add(new city(451,136,3,'62405','LUXOR'));
cities.add(new city(451,140,3,'62414','ASWAN'));
cities.add(new city(443,137,3,'62432','DAKHLA'));
cities.add(new city(451,158,3,'62721','KHARTOUM'));
cities.add(new city(473,166,3,'63125','DJIBOUTI'));
cities.add(new city(464,172,3,'63450','ADDIS_ABEBA'));
cities.add(new city(457,184,3,'63612','LODWAR'));
cities.add(new city(451,191,3,'63705','KAMPALA'));
cities.add(new city(460,194,3,'63741','NAIROBI'));
cities.add(new city(415,200,3,'64210','KINSHASA'));
cities.add(new city(402,190,3,'64500','LIBREVILLE'));
cities.add(new city(421,182,3,'64650','BANGUI'));
cities.add(new city(414,165,3,'64700','NDJAMENA'));
cities.add(new city(422,153,3,'64753','FAYA'));
cities.add(new city(402,182,3,'64910','DOUALA'));
cities.add(new city(384,178,3,'65387','LOME'));
cities.add(new city(381,179,3,'65472','ACCRA'));
cities.add(new city(379,165,3,'65503','OUAGADOUGOU'));
cities.add(new city(373,180,3,'65578','ABIDJAN'));
cities.add(new city(442,245,3,'68262','PRETORIA'));
cities.add(new city(421,263,3,'68816','LE-CAP'));
cities.add(new city(213,98,3,'71624','TORONTO'));
cities.add(new city(225,94,3,'71627','MONTREAL'));
cities.add(new city(211,136,3,'72202','MIAMI'));
cities.add(new city(190,127,3,'72231','NOUVELLE-ORLEANS'));
cities.add(new city(181,129,3,'72242','HOUSTON'));
cities.add(new city(131,119,3,'72295','LOS-ANGELES'));
cities.add(new city(218,108,3,'72405','WASHINGTON'));
cities.add(new city(122,111,3,'72494','SAN-FRANCISCO'));
cities.add(new city(225,104,3,'72503','NEW-YORK'));
cities.add(new city(231,101,3,'72509','BOSTON'));
cities.add(new city(195,102,3,'72530','CHICAGO'));
cities.add(new city(122,90,3,'72793','SEATTLE'));
cities.add(new city(195,147,3,'76647','CANCUN'));
cities.add(new city(171,150,3,'76680','MEXICO'));
cities.add(new city(170,155,3,'76805','ACAPULCO'));
cities.add(new city(207,142,3,'78325','LA-HAVANE'));
cities.add(new city(242,152,3,'78526','SAN-JUAN'));
cities.add(new city(251,156,3,'78897','POINTE-A-PITRE'));
cities.add(new city(252,160,3,'78925','FORT-DE-FRANCE'));
cities.add(new city(240,168,3,'80415','CARACAS'));
cities.add(new city(271,181,3,'81405','CAYENNE'));
cities.add(new city(280,225,3,'83378','BRASILIA'));
cities.add(new city(290,240,3,'83744','RIO-DE-JANEIRO'));
cities.add(new city(218,216,3,'84628','LIMA'));
cities.add(new city(232,262,3,'85574','SANTIAGO'));
cities.add(new city(258,265,3,'87576','BUENOS-AIRES'));
cities.add(new city(735,238,3,'91592','NOUMEA'));
cities.add(new city(64,228,3,'91938','PAPEETE'));
cities.add(new city(753,269,3,'93110','AUCKLAND'));
cities.add(new city(702,263,3,'94767','SYDNEY'));
cities.add(new city(608,204,3,'96745','DJAKARTA'));
