/**
 *see menu.js, menubar.js, toolbar.js, statusbar.js
 */

function setMyMenuBars() {
    window.visualMenuBar = new MenuBar();
    window.visualMenuBar.setMenuBarWidth(450);
    window.visualMenuBar.setMenuBar();

    window.visualToolBar = new ToolBar(450);
    window.visualToolBar.cToolBarShow();
    window.visualToolBar.moveToolBar(0,22);
    window.visualToolBar.addToolBarItem('<IMG SRC="components/toolbar/images/icon_new.gif">', '<A HREF="#"><IMG SRC="components/toolbar/images/icon_new_h.gif" ALT="New Page" BORDER=0></A>', 'newPage();');

    window.visualStatusBar = new StatusBar(455);
    //window.visualStatusBar.moveStatusBar(-1);
    window.visualStatusBar.addStatusBarItem('loading, please wait...', 'loading, please wait...', "", null,null, 5,null);
    window.visualStatusBar.addStatusBarItem('<IMG SRC="images/status.gif">', '<A HREF="#"><IMG SRC="images/status.gif" ALT="please wait..." BORDER=0></A>', 'confirm("please wait...")', null,null, 250,5);
    window.visualStatusBar.addStatusBarItem('demo', 'demo', "displayCard(19, 'Run Demo!', 'runDemo(0);');", null,null, 345,null);
    window.visualStatusBar.addStatusBarItem('<IMG SRC="components/statusbar/images/icon_mail_status.gif">', '<A HREF="mailbox:Inbox"><IMG SRC="components/statusbar/images/icon_mail_status_h.gif" ALT="MailBox" BORDER=0></A>', '', null,null, 380,5);
    window.visualStatusBar.addStatusBarItem('<IMG SRC="components/statusbar/images/icon_ns_status.gif">', '<A HREF="#"><IMG SRC="components/statusbar/images/icon_ns_status_h.gif" ALT="Navigator" BORDER=0></A>', 'window.open()', null,null, 415,5);

    var doc = '<IMG SRC="images/doc.gif">';
    window.visualMenuBar.addMenuBarItem(doc, "prop(previewFocus);");
    window.visualMenuBar.moveMenuBarItem(doc, 2,2);

    var file = new Menu('Page');
    file.addMenuItem("New", "dev.newPage();");
    file.addSeparator();
    file.addMenuItem("Title", "displayCard(1)");
    file.addMenuItem("Background/Color", "displayCard(2)");
    file.addMenuItem("Meta Tag", "displayCard(26)");
    file.addMenuItem("Resize", "displayCard(35)");
    file.addSeparator();
    file.addMenuItem("Save As...", "displayCard(17); simpleDialog('Save As...', '<BR><NOBR>This will open a \"Save as...\"</NOBR> dialog box for you to save your \"Preview Page\"...<P>', 'saveFile();' );");
    file.addMenuItem("<font color='gray'>Auto Save</font>", "");
    window.visualMenuBar.addMenuBarItem(file);

    var edit = new Menu('Edit');
    edit.addMenuItem("Undo", "prop(undo);");
    edit.addMenuItem("Redo", "prop(redo);");
    edit.addSeparator();
    edit.addMenuItem("Clear All", "prop(clearAll,0);");
    edit.addMenuItem("Resize Page", "displayCard(35)");
    edit.addSeparator();
    edit.addMenuItem("<font color='gray'>Preferences</font>", "");
    window.visualMenuBar.addMenuBarItem(edit);

    var view = new Menu('View');
    view.addMenuItem("Widgets", "myWidgets();");
    view.addSeparator();
    view.addMenuItem("Reload", "window.location.reload();");
    view.addSeparator();
    view.addMenuItem("Page Source [Preview]", "prop(pageSource);");
    view.addMenuItem("<font color='gray'>Properties</font>", "");
    window.visualMenuBar.addMenuBarItem(view);

    var links = new Menu('Links');
    links.addMenuItem("Text Hotlink", "displayCard(5)");
    links.addMenuItem("Button Link", "displayCard(14)");
    links.addMenuItem("Image Link", "displayCard(4)");
    links.addMenuItem("Search /Find Link", "displayCard(39)");
    links.addMenuItem("Email Link", "displayCard(21)");
    links.addMenuItem("Mailbox Link", "displayCard(38)");
    window.visualMenuBar.addMenuBarItem(links);

    var g = new Menu('Graphics');
    g.addMenuItem("Image", "displayCard(3)");
    g.addMenuItem("Image Link", "displayCard(4)");
    g.addSeparator();
    g.addMenuItem("Animation", "displayCard(33)");
    g.addMenuItem("<font color='gray'>Image Map</font>", "");
    window.visualMenuBar.addMenuBarItem(g);

    var text = new Menu('Text');
    text.addMenuItem("SimpleText", "displayCard(25)");
    text.addMenuItem("Date", "displayCard(13)");
    text.addMenuItem("Table", "displayCard(7)");
    text.addMenuItem("Marquee", "displayCard(29)");
    text.addMenuItem("<font color='gray'>Script</font>", "");
    window.visualMenuBar.addMenuBarItem(text);

    var nc = new Menu('Channels');
    nc.addMenuItem("Add Channel Button", "displayCard(6)");
    nc.addMenuItem("<font color='gray'>Channel Properties</font>", "alert('coing soon...');");
    nc.addMenuItem("Channel Finder", "displayCard(31)");
    nc.addMenuItem("Netcaster", "displayCard(32)");
    window.visualMenuBar.addMenuBarItem(nc);

    var help = new Menu('Help');
    help.addMenuItem("Demo", "displayCard(19, 'Run Demo!', 'runDemo(0);');");
    help.addMenuItem("Starting", "displayCard(15);");
    help.addMenuItem("Dragging", "displayCard(16);");
    help.addMenuItem("Saving", "displayCard(17);");
    help.addSeparator();
    help.addMenuItem("Support", "displayCard(34);");
    help.addSeparator();
    help.addMenuItem("About DHTML", "displayCard(18); window.open('docs/about.html','dev','menubar,status,scrollbars,resizable');");
    window.visualMenuBar.addMenuBarItem(help);

    var nscp = '<IMG SRC="images/nscp_sm.gif">';
    window.visualMenuBar.addMenuBarItem(nscp, "window.open('http://home.netscape.com','faq','menubar,toolbar,status,scrollbars,resizable');");
    window.visualMenuBar.moveMenuBarItem(nscp, 429,0);

    window.visualToolBar.addToolBarItem('<IMG SRC="components/toolbar/images/icon_widgets.gif">', '<A HREF="#"><IMG SRC="components/toolbar/images/icon_widgets_h.gif" ALT="Add Widgets" BORDER=0></A>', 'myWidgets()');
    window.visualToolBar.addToolBarItem('<IMG SRC="components/toolbar/images/icon_image.gif">', '<A HREF="#"><IMG SRC="components/toolbar/images/icon_image_h.gif" ALT="Add Image" BORDER=0></A>', "displayCard(3)");
    window.visualToolBar.addToolBarItem('<IMG SRC="components/toolbar/images/icon_link.gif">', '<A HREF="#"><IMG SRC="components/toolbar/images/icon_link_h.gif" ALT="Add Link" BORDER=0></A>', "displayCard(5);");
    window.visualToolBar.addToolBarItem('<IMG SRC="components/toolbar/images/icon_button.gif">', '<A HREF="#"><IMG SRC="components/toolbar/images/icon_button_h.gif" ALT="Add Button" BORDER=0></A>', "displayCard(14)");
    window.visualToolBar.addToolBarItem('<IMG SRC="components/toolbar/images/icon_text.gif">', '<A HREF="#"><IMG SRC="components/toolbar/images/icon_text_h.gif" ALT="Text" BORDER=0></A>', "displayCard(25)");
    window.visualToolBar.addToolBarItem('<IMG SRC="components/toolbar/images/icon_properties.gif">', '<A HREF="#"><IMG SRC="components/toolbar/images/icon_properties.gif" ALT="View Properties" BORDER=0></A>', "");
}
