/**
 * props.js
 * property functions for Visual DHTML
 * requires toolbar.js, scrollbar.js
 */

if (!dev) {
	var dev = new VisualDHTML();
}

function VisualDHTML() {
	//dev = this;
	window.dev = this;
	this.i = 0;
	this.x = 0;
	this.y = 0;
	this.totalCards = 41;
	this.menu = 0;
	this.menuFlag = false;
	this.reset = null;
	this.customWin;
	this.customContent = new Array();
	this.customContentHistory = new Array();
	this.activeCard = document.layers["card0"];
	this.myForm = document.forms[0];
	this.dynamic_title   = "Preview";
	this.dynamic_bgcolor = "white";
	this.dynamic_bkgrd = "";
	this.dynamic_metatag = "";
	//this.dynamic_drawer = "></layer>";
	this.drawerImg = new Array();
	this.drawerUrl = new Array();
	this.drawerText = new Array();
	this.dynamic_layer = new Array();
	this.dynamic_content = new Array();
	this.dynamic_X = new Array();
	this.dynamic_Y = new Array();
	this.docHistoryType = new Array();
	this.docHistory = 0;
	this.cursor = "";
	this.storeVToolBarItems = "";
	this.base = "http://developer.netscape.com/library/examples/dynhtml/visual/";
	this.includeScripts = '<'+'SCRIPT SRC="'+ this.base +'visual.js"><'+'/SCRIPT>';
	this.newPage = newPage;
	this.setType = setType;
	this.openPreview = openPreview;
	this.previewFocus = previewFocus;
	this.setLayer = setLayer;
	this.docWrite = docWrite;
	this.displayCard = displayCard;
	this.hideCard = hideCard;
	this.hideDialogs = hideDialogs;
	this.reSet = reSet;
	this.clearAll = clearAll;
	this.winStatus = winStatus;
	this.simpleDialog = simpleDialog;
	this.devButton = devButton;
	this.hideDevButton = hideDevButton;
	this.ScrollBar = ScrollBar;
	this.togglePalette = togglePalette;
	//window.palette = null;
}

function newPage(visio) {
	if (visio && window.newPageDialog) {
		window.NdialogLabel = "";
		if (!window.newPageDialog.win) return;
		window.newPageDialog.win.base.visibility = "hide";
		return;
	}
	dev.displayCard(0, 'New Page!');
	if (dev.customWin) { 
		if (dev.customWin.close) {
			dev.previewFocus("yes");
			var text = '\n<BR><NOBR>You already have a Preview Page open.</NOBR> Do you want it closed, first?<P>';
			simpleDialog('Confirm', text, "clearAll(1); dev.newPage();");
			//simpleDialog('Confirm', "if (dev.customWin.close) dev.customWin.close(); dev.customWin=null;");
			return;
		} else {
			clearAll(1);
		}
	}
	var str = ''+
	'&nbsp;Select a page type:<TABLE WIDTH=200>'+
	'<TR><TD BGCOLOR="#FFFFFF"><LI> <A HREF="javascript:dev.setType(\'window\')"><B>Normal Window</B></A></TD></TR>'+
	'<TR><TD BGCOLOR="#FFFFFF"><LI> <A HREF="javascript:dev.setType(\'fullscreen\');"><B>Fullscreen Window</B></TD></TR>'+
	'<TR><TD BGCOLOR="#FFFFFF"><LI> <A HREF="javascript:dev.setType(\'kiosk\');"><B>Kiosk Window</B></TD></TR>'+
	'<TR><TD BGCOLOR="#FFFFFF"><LI> <A HREF="javascript:dev.setType(\'webtop\');"><B>Webtop</B></TD></TR>'+
	'</TABLE><P>';
	var dialog = new Dialog();
	dialog.setDialogTitle("New Page");
	dialog.setDialogContent(str);
	dialog.setDialogPageX(90);
	dialog.setDialogPageY(90);
	dialog.setDialogBgColor("#DDDDDD");
	dialog.setDialogMorph(true);
	dialog.openDialog("newPage", "");
	window.newPageDialog = dialog;
	if (dev.activeCard) 
		dev.activeCard.visibility = 'hide';
}

function setType(type, alrt) {
	dev.newPage("hide");
	var previewText = '<BR><FONT SIZE=-1><CENTER><B>Preview Page</B></CENTER><P><NOBR>This will open a new "Preview Page" window</NOBR><BR> for you to develop with ...</FONT><P>';
	if (type == 'webtop') {
		previewText = '<BR><TABLE WIDTH=400 CELLPADING=10><TR><TD><FONT SIZE=-1>"Preview <B>Webtop</B>"<P>&nbsp;This will open a Preview Webtop window for you to develop with. Just like a regular desktop, your Webtop will always be lowered behind all other windows. So you might want to minimize all other windows that you currently aren\'t using so you can see your Preview Webtop as you build it.\n\n'+
					  ' Also, we need to request the "CanvasAccess" privilege via the netscape.security.PrivilegeManager to display the Webtop.</FONT></TD></TR></TABLE><P>';
		simpleDialog('Open Webtop', previewText, "openWebtopWin();", null, null, 10, 80);
		////simpleDialog('Open Webtop', previewText, "netscape.security.PrivilegeManager.enablePrivilege('CanvasAccess'); dev.openPreview(screen.availWidth, screen.availHeight, null,null, 'titlebar=no,alwaysLowered=yes');", null, null, 10, 80);
	} else if (type == 'fullscreen') {
		dev.openPreview(screen.availWidth, screen.availHeight);
	} else if (type == 'kiosk') {
		dev.openPreview(600, 500, null,null, 'menubar=no,status=no,resizable=no');
	} else {
		dev.openPreview(screen.availWidth - 200, screen.availHeight - 100);
	}
}

function openWebtopWin() {
	dev.customWin = window.open('http://developer.netscape.com/library/examples/javascript/webwidget/webtop.html?'+ dev.base +'preview.html', 'webtop');
	top.window.focus();
}

function openPreview(width, height, left, top, features) {
	if (!width) var width = 500;
	if (!height) var height = 500;
	if (!left) var left = screen.availLeft;
	if (!top) var top = screen.availTop;
	if (!features) var features = 'toolbar=yes,menubar=yes,scrollbars=yes,status=yes,resizable=no';
	dev.customWin = window.open('', 'preview', features +',outerWidth='+ width +',outerHeight='+ height +',left='+ left +',top='+ top );
	setPreview('Preview Page');
}

function setPreview(preview) {
	dev.customWin.focus();
	dev.customWin.document.open('text/html');
	dev.customWin.document.writeln('<HTML><HEAD><TITLE>Preview</TITLE></HEAD><BODY><FONT SIZE=+7 COLOR="blue">'+ preview +'</FONT></BODY></HTML>');
	dev.customWin.document.close();
	top.window.focus();
}

function previewFocus(t) {
	dev.customWin.focus();
	if (t) setTimeout('top.window.focus();', 1000);
}

function resizePage(preview) {
	/////
}

function pageSource() {
	dev.source = "";
	for (var i in dev.customContent) {
		dev.source += dev.customContent[i]  + "\n";
	}
	dev.sourceWin = window.open('', 'src', 'outerWidth='+ screen.availWidth - 200 +',outerHeight='+ screen.availHeight - 100 +',scrollbars');
	dev.sourceWin.focus();
	dev.sourceWin.document.open('text/plain');
	dev.sourceWin.document.writeln('<!-- Preview Page Source - '+ Date() +' -->\n' + dev.source);
	dev.sourceWin.document.close();
	//top.window.focus();
}

function addTitle(form) {
	dev.dynamic_title = form.elements[0].value;
	dev.docWrite(0);
	top.window.focus();
}

function setBgColor(form) {
	dev.dynamic_bgcolor = form.elements[0].value;
	dev.dynamic_bkgrd = ' BACKGROUND="'+ form.elements[1].value +'"';
	dev.docWrite('bg');
	top.window.focus();
}

function addMeta(form) {
	dev.dynamic_metatag += '<META NAME="'+ form.elements[0].value +'" CONTENT="'+ form.elements[1].value +'">\n';
	dev.docWrite(0);
	top.window.focus();
}

function addImage(form) {
	dev.dynamic_content[dev.i] = '"><IMG ALT="image" SRC="'+ form.elements[0].value +'" BORDER=0>';
	dev.dynamic_content[dev.i] += '</LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addImageLink(form) {
	dev.dynamic_content[dev.i] = '"><A HREF="'+ form.elements[0].value +'" TARGET="newWin">';
	dev.dynamic_content[dev.i] += '<IMG ALT="image" SRC="'+ form.elements[2].value +'" BORDER=0></A>';
	dev.dynamic_content[dev.i] += '</LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addAnim(form) {
	var animContent = "";
	var imgString = form.elements[0].value;
	var linkString = form.elements[1].value;
	var speed = form.elements[3].value;
	var imgItems = imgString.split("\n");
	var linkItems = linkString.split("\n");
	for(i=0; i<imgItems.length; i++) {
		if (imgItems[i].indexOf("\r") != -1) imgItems[i] = imgItems[i].substring(0, imgItems[i].indexOf("\r"));
		if (linkItems[i].indexOf("\r") != -1) linkItems[i] = linkItems[i].substring(0, linkItems[i].indexOf("\r"));
		animContent += "window.animImg"+ i +"='"+ imgItems[i] +"'; window.animLink"+ i +"='"+ linkItems[i] +"'; ";
	}
	dev.dynamic_content[dev.i] = '" onLoad="'+ animContent +' window.animLength='+ imgItems.length +'; window.animLayer=this; setTimeout(\'if(window.visual) window.visual.anim();\','+ speed +'000);"><A HREF="#" onClick="window.open('+ imgItems[0] +',0); return false;"><IMG SRC="'+ imgItems[0] +'" BORDER=0></A></LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addLink(form) {
	dev.dynamic_content[dev.i] = '"><A HREF="'+ form.elements[0].value +'" TARGET="newWin">'+ form.elements[2].value +' </A>';
	dev.dynamic_content[dev.i] += '</LAYER>';
	dev.docWrite(1);
	dev.i++;
}
function addText(form) {
	dev.dynamic_content[dev.i] = '"><FONT SIZE="'+ form.elements[1].value +'"';
	if (form.elements[2].value) dev.dynamic_content[dev.i] += ' COLOR="'+ form.elements[2].value +'"';
	if (form.elements[3].value) dev.dynamic_content[dev.i] += ' FACE="'+ form.elements[3].value +'"';
	dev.dynamic_content[dev.i] += '>'+ form.elements[0].value +'</FONT></LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addButton(form) {
	var link = form.elements[0].value;
	var img = form.elements[2].value;
	var imgH = form.elements[4].value;
	var text = form.elements[6].value;
    var mouseEvents = ' onMouseOver="window.button'+ dev.i +'.src=window.button'+ dev.i +'HSRC;" onMouseOut="window.button'+ dev.i +'.src=window.button'+ dev.i +'SRC;"';
	dev.dynamic_content[dev.i] = '"><Layer onLoad="window.button'+ dev.i +'SRC=\''+ img +'\'; window.button'+ dev.i +'HSRC=\''+ imgH +'\'; window.button'+ dev.i +'Dest=\''+ link +'\';"'+ mouseEvents +'><A HREF="'+ link +'"><IMG onLoad="window.button'+ dev.i +'=this;" ALT="button" NAME="button'+ dev.i +'" SRC="'+ img +'" BORDER=0></A></Layer>';
	/////dev.dynamic_content[dev.i] = '"><Layer onLoad="window.button'+ dev.i +'=this" onMouseOver="window.buttonH'+ dev.i +'.visibility=\'inherit\';"><A HREF="'+ link +'"><IMG ALT="button" NAME="Button'+ dev.i +'" SRC="'+ img +'" BORDER=0></A></Layer>';
	/////if (imgH) dev.dynamic_content[dev.i] += ' <layer onLoad="window.buttonH'+ dev.i +'=this" onMouseOut="this.visibility=\'hide\';" VISIBILITY="hide"><A HREF="'+ link +'" onMouseOver="window.buttonH'+ dev.i +'.visibility=\'inherit\';"><IMG ALT="button" NAME="Button'+ dev.i +'" SRC="'+ imgH +'" BORDER=0></A></layer>';
	dev.dynamic_content[dev.i] += ' <Layer left=10 top=4 onFocus="window.open(window.button'+ dev.i +'Dest);"'+ mouseEvents +'>'+ text +'</Layer>';
	dev.dynamic_content[dev.i] += '</LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addEmail(form) {
	var img = form.elements[0].value;
	var addr = form.elements[2].value;
	var text = form.elements[3].value;
	dev.dynamic_content[dev.i] = '" BGCOLOR="gray"><A HREF="#" onClick="location.href=\'mailto:'+ addr +'?subject='+ text +'\'; return false;">';
	if (img != "") dev.dynamic_content[dev.i] += '<IMG ALT="email" SRC="'+ img +'" BORDER=0><BR>';
	dev.dynamic_content[dev.i] += text +'</A>';
	dev.dynamic_content[dev.i] += '</LAYER>';
	dev.docWrite(1);
	dev.i++;
}
function addMailbox(form) {
	var img = form.elements[0].value;
	var addr = form.elements[2].value;
	var text = form.elements[3].value;
	dev.dynamic_content[dev.i] = '" BGCOLOR="gray"><A HREF="mailbox:'+ addr +'">';
	if (img != "") dev.dynamic_content[dev.i] += '<IMG ALT="Mailbox:'+ addr +'" SRC="'+ img +'" BORDER=0><BR>';
	dev.dynamic_content[dev.i] += text +'</A>';
	dev.dynamic_content[dev.i] += '</LAYER>';
	dev.docWrite(1);
	dev.i++;
}
function addVToolBar(form) {
	if (!dev.VToolBar) {
		dev.VToolBar = true;
		var w = form.elements[0].value;
		var h = form.elements[1].value;
		var c = form.elements[2].value;
		dev.dynamic_content[dev.i] = '" onLoad="if(window.visual) window.visual.addVToolBar('+ w +','+ h +',\''+ c +'\');"></LAYER>';
		dev.includeScripts += '\n<'+'SCRIPT SRC="'+ dev.base +'components/toolbar/toolbar.js"><'+'/SCRIPT>';
		dev.docWrite(1);
		dev.i++;
	} else {
		alert("You already have Toolbar...");
	}
}
function addVToolBarItem(form) {
	if (dev.VToolBar) {
		var img = form.elements[0].value;
		var img2 = form.elements[1].value;
		var alt = form.elements[2].value;
		var action = form.elements[3].value;
		dev.storeVToolBarItems += 'if(window.visual) window.visual.storeVToolBarItems(\''+ img +'\', \''+ img2 +'\', \''+ alt +'\', \''+ action +'\'); ';
		dev.docWrite(1);
		//dev.i++;
	} else {
		alert("Can't find your Toolbar; \nYou first need to add a Toolbar \nbefore you can add items to it...");
	}
}

function addChannelButton(form) {
	var name = form.elements[0].value;
	var url = form.elements[1].value;
	var img = form.elements[3].value;
	dev.dynamic_content[dev.i] = '"><layer onFocus="if(window.visual) window.visual.addMyChannel(' + "'" + name +"', '" + url + "');" + '">';
	dev.dynamic_content[dev.i] += '<IMG ALT="add channel" SRC="'+ img +'" BORDER=0><BR>'+ name +'</layer>';
	dev.dynamic_content[dev.i] += '</LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addCF(form) {
	dev.dynamic_content[dev.i] = '"><A HREF="#" onClick="window.open(\'http://netcaster.netscape.com/finder/9708/\',\'cf\',\'left=0,top=0,outerWidth=\'+screen.availWidth+\',outerHeight=\'+screen.availHeight+\',status\'); return false;"><IMG SRC="'+ form.elements[0].value +'" BORDER=0></A></LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addNC(form) {
	dev.dynamic_content[dev.i] = '"><A HREF="#" onClick="if (!components[\'netcaster\']) return false; else components[\'netcaster\'].activate(); return false;"><IMG SRC="'+ form.elements[0].value +'" BORDER=0></A></LAYER>';
	dev.docWrite(1);
	dev.i++;
}
function setTable(form) {
	top.tableR = form.elements[0].value;
	top.tableD = form.elements[1].value;
	document.layers["card7"].visibility = 'hide';
	var l = document.layers["card20"];
	l.document.open('text/html');
	l.document.write('<CENTER><FORM><TABLE>');
	for(var i = 0; i < top.tableR; i++) {
		l.document.write('<TR>');
		for(var j = 0; j < top.tableD; j++) {
			l.document.write('<TD><INPUT SIZE=10 VALUE="text"></TD>');
		}
		l.document.write('</TR>');
	}
	l.document.write('</TABLE>');
	l.document.write('<INPUT TYPE=button VALUE="Add Table" onClick="prop(addTable,document.forms[0]);">');
	l.document.write('</FORM></CENTER>');
	l.document.close();
	l.visibility = 'inherit';
	dev.activeCard = l;
}

function addTable(form,type) {
	dev.dynamic_content[dev.i] = '"><FORM><TABLE BORDER=1>';
	if (type == 'forms') {
		for(var i = 0; i < top.tableR; i++) {
			dev.dynamic_content[dev.i] += '<TR>';
			for(var j = 0; j < top.tableD; j++) {
				dev.dynamic_content[dev.i] += '<TD><INPUT SIZE=10 VALUE="text"></TD>';
			}
			dev.dynamic_content[dev.i] += '</TR>';
		}
	} else {
		var count = 0;
		for(var i = 0; i < top.tableR; i++) {
			dev.dynamic_content[dev.i] += '<TR>';
			for(var j = 0; j < top.tableD; j++) {
				dev.dynamic_content[dev.i] += '<TD>'+ form.elements[ count ].value +'</TD>';
				count++; 
			}
			dev.dynamic_content[dev.i] += '</TR>';
		}
	}
	dev.dynamic_content[dev.i] += '</TABLE></FORM></LAYER>'
	dev.docWrite(1);
	dev.i++;
}

function temp(url, attrib) {
	document.layers['temp'].document.open('text/html');
	if (url != "") document.layers['temp'].document.writeln('temp <layer src="'+ url +'" '+ attrib +'> </layer> ');
	else document.layers['temp'].document.writeln('clear');
	document.layers['temp'].document.close();
}

function addTicker(form) {
	var url = form.elements[0].value;
	var w = form.elements[2].value;
	if (w == "window.innerWidth") w = dev.customWin.innerWidth;
	var h = form.elements[3].value;
	var color = form.elements[4].value;
	temp(url,"");
	var tickerWidth = document.layers['temp'].document.layers[0].clip.width;
	setTimeout('temp("");',5000);
	dev.dynamic_content[dev.i] = '" CLIP='+ w +','+ h +' BGCOLOR="'+ color +'">';
	dev.dynamic_content[dev.i] += '<layer BGCOLOR="'+ color +'" SRC="'+ url +'" onLoad=" window.tickerLayer'+ dev.i +'=this; window.tickerID'+ dev.i +'=setTimeout(\'if(window.visual) window.visual.ticker(window.tickerID'+ dev.i +','+ dev.i +','+ tickerWidth +','+ w +');\',5000);"></layer>';
	dev.dynamic_content[dev.i] += '</LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addMarquee(form) {
	var url = form.elements[0].value;
	var text = form.elements[2].value;
	var dir = form.elements[3].selectedIndex;
	dev.dynamic_content[dev.i] = '" VISIBILITY="hide" onLoad="window.marqueeLayer'+ dev.i +'=this; window.marqueeID'+ dev.i +'=setTimeout(\'if(window.visual) window.visual.marquee(window.marqueeID'+ dev.i +','+ dev.i +','+ dir +');\',2000);" ';
	if (url != "") dev.dynamic_content[dev.i] += 'SRC="'+ url +'"></LAYER>';
	else dev.dynamic_content[dev.i] += '>'+ text +'</LAYER>';
	//dev.dynamic_content[dev.i] = '" VISIBILITY="hide" BGCOLOR="'+ color +'" SRC="'+ url +'" onLoad=" window.marqueeLayer'+ dev.i +'=this; window.marqueeID'+ dev.i +'=setTimeout(\'if(window.visual) window.visual.marquee(window.marqueeID'+ dev.i +','+ dev.i +','+ dir +');\',10);"></layer>';
	dev.docWrite(1);
	dev.i++;
}

function addNewsBox(form) {
	var url = form.elements[0].value;
	var w = form.elements[2].value;
	var h = form.elements[3].value;
	var color = form.elements[4].value;
	var title = form.elements[5].value;
	temp(url,'WIDTH='+ w);
	var sbHeight = document.layers['temp'].document.layers[0].clip.height;
	setTimeout('temp("");',5000);
	dev.dynamic_content[dev.i] = '"><LAYER CLIP='+ w +','+ h +' BGCOLOR="'+ color +'"><Layer TOP=25 WIDTH='+ w +' BGCOLOR="'+ color +'" SRC='+ url +' onLoad="window.sbHeight='+ sbHeight +'; window.sbClipHeight='+ h +'; window.sb=this; if(window.visual) window.visual.newsBox();"></Layer></layer>';
	dev.dynamic_content[dev.i] += ' <layer TOP=0 CLIP='+ w +',20 BGCOLOR="#AAAAAA"><LAYER LEFT=1 TOP=1 WIDTH='+ (w - 2) +' HEIGHT=18 CLIP='+ (w - 2) +',18 BGCOLOR="#CCCCCC"><LAYER onMouseOver="if(window.visual) window.visual.newsBox();"><FONT SIZE=-1>go</FONT></LAYER></TH><LAYER LEFT='+ (w - 20) +' onMouseOver="window.sb.top += 20; window.sb.clip.height -= 20;"><FONT SIZE=-1>up</FONT></LAYER><CENTER><NOBR>'+ title +'</NOBR></CENTER></LAYER></layer>';
	dev.dynamic_content[dev.i] += ' <layer TOP='+ h +' CLIP='+ w +',20 BGCOLOR="#AAAAAA"><LAYER LEFT=1 TOP=1 WIDTH='+ (w - 2) +' HEIGHT=18 CLIP='+ (w - 2) +',18 BGCOLOR="#CCCCCC"><LAYER onMouseOver="clearTimeout(window.sbID); return false;"><FONT SIZE=-1>stop</FONT></LAYER><LAYER LEFT='+ (w - 35) +' onMouseOver="window.sb.top -= 20; window.sb.clip.height += 20;"><FONT SIZE=-1>down</FONT></LAYER></LAYER></layer>';
	dev.dynamic_content[dev.i] += '</LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addApplet(form) {
	dev.dynamic_content[dev.i] = '"><layer BGCOLOR="gray">&nbsp;';
	dev.dynamic_content[dev.i] += '<applet code='+ form.elements[0].value +' width='+ form.elements[2].value +' height='+ form.elements[3].value +' codebase="'+ form.elements[4].value +'">'+ form.elements[5].value +'</applet>';
	dev.dynamic_content[dev.i] += '</layer></LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addLayer(form) {
	dev.dynamic_content[dev.i] = '"><layer';
	if (form.elements[0].value) dev.dynamic_content[dev.i] += ' ID="'+ form.elements[0].value +'"';
	if (form.elements[6].value) dev.dynamic_content[dev.i] += ' BGCOLOR="'+ form.elements[6].value +'"';
	if (form.elements[4].value) dev.dynamic_content[dev.i] += ' WIDTH="'+ form.elements[4].value +'"';
	if (form.elements[5].value) dev.dynamic_content[dev.i] += ' HEIGHT="'+ form.elements[5].value +'"';
	if (form.elements[7].value) dev.dynamic_content[dev.i] += ' CLIP="'+ form.elements[7].value +'"';
	if (form.elements[1].value) dev.dynamic_content[dev.i] += ' VISIBILITY="'+ form.elements[1].value +'"';
	if (form.elements[2].value) dev.dynamic_content[dev.i] += ' SRC="'+ form.elements[2].value +'"';
	dev.dynamic_content[dev.i] += '></layer></LAYER>';
	dev.docWrite(1);
	dev.i++;
}
function addComponent(form) {
	dev.dynamic_content[dev.i] = '"><layer SRC="'+ form.elements[0].value +'" BORDER=0> </LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addEmbed(form) {
	dev.dynamic_content[dev.i] = '"><layer BGCOLOR="gray">&nbsp;';
	dev.dynamic_content[dev.i] += '<EMBED SRC="'+ form.elements[0].value +'" WIDTH="'+ form.elements[2].value +'" HEIGHT="'+ form.elements[3].value +'">';
	dev.dynamic_content[dev.i] += '</layer>\n</LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addNotepad(form) {
	dev.dynamic_content[dev.i] = '">'+ form.elements[0].value +'<FORM><TEXTAREA ROWS="'+ form.elements[1].value +'" COLS="'+ form.elements[2].value +'" WRAP="physical">Type in here... isn\'t this cool?!</TEXTAREA>';
	dev.dynamic_content[dev.i] += '</FORM>\n</LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addBrowser(form) {
	var w = form.elements[0].value || 300;
	var h = form.elements[1].value || 300;
	var bg = form.elements[2].value;
	var fg = form.elements[3].value;
	dev.dynamic_content[dev.i] = '" WIDTH='+ w +' HEIGHT='+ h +' BGCOLOR="#444444"><LAYER LEFT=0 TOP=0 WIDTH='+ (w - 1) +' HEIGHT='+ (h - 1) +' BGCOLOR="#BBBBBB"></LAYER><LAYER LEFT=1 TOP=1 WIDTH='+ (w - 3) +' HEIGHT='+ (h - 3) +' BGCOLOR="white"></LAYER><LAYER LEFT=2 TOP=2 WIDTH='+ (w - 4) +' HEIGHT='+ (h - 4) +' BGCOLOR="#BBBBBB"><LAYER LEFT=1 TOP=1 WIDTH='+ (w - 6) +' HEIGHT='+ (h - 6) +' BGCOLOR="'+ bg +'"><FORM onSubmit="document.layers[0].src=this.elements[0].value; return false;"><INPUT VALUE="index.html" SIZE='+ (w /10) +'><INPUT TYPE=SUBMIT VALUE="go"></FORM>';
	dev.dynamic_content[dev.i] += '<layer LEFT=1 TOP=30 BGCOLOR="'+ fg +'" CLIP='+ (w - 22) +','+ (h - 52) +' onLoad="if(window.visual) window.visual.addScrollBars(this);"></layer></Layer></Layer>';
	dev.dynamic_content[dev.i] += '</LAYER>';
	dev.includeScripts += '\n<'+'SCRIPT SRC="'+ dev.base +'components/scrollbar/scrollbar.js"><'+'/SCRIPT>\n';
	dev.docWrite(1);
	//dev.customWin.visual.ScrollBar = ScrollBar;
	dev.i++;
}
function addDate(form) { //improve this
	var size = form.elements[0].value;
	var color = form.elements[1].value;
	var d = new Date();
	var date = d.toString();
	dev.dynamic_content[dev.i] = '" onLoad="window.dateLayer=this; window.dateColor=\''+ color +'\';"><layer onLoad="window.dateID=setTimeout(\'if(window.visual) window.visual.simpleDate('+size+');\',5000);" VISIBILITY="hide"><FONT SIZE="'+ size +'" COLOR="'+ color +'">'+ date.substring(0,3) +'. '+ date.substring(3,10) +', 97 &nbsp;</FONT></layer></LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addClock(form) { //improve this
	var color = form.elements[0].value;
	dev.dynamic_content[dev.i] = '" BGCOLOR="'+ color +'" onLoad="window.clockLayer=this; window.clockDate = new Date(); clockLayer.document.forms[0].elements[0].value = window.clockDate; window.clockID = setInterval(\'window.clockDate = new Date(); window.clockLayer.document.forms[0].elements[0].value = window.clockDate;\',2000);">';
	dev.dynamic_content[dev.i] += '<FORM><INPUT SIZE=19></FORM>';
	dev.dynamic_content[dev.i] += '</LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addDrawer(form) {
	dev.drawerImg[dev.i] = form.elements[0].value;
	dev.drawerUrl[dev.i] = form.elements[2].value;
	//java.lang.System.out.println("dev.drawerUrl[dev.i]=" + dev.drawerUrl[dev.i]);
	dev.drawerText[dev.i] = form.elements[4].value;
	dev.dynamic_content[dev.i] = 'drawerLayer';
	dev.i++;
	dev.dynamic_content[dev.i] = 'drawerLayer';
	dev.docWrite(1);
	dev.i++;
}

function addMouseLink(form) {
	var mouseLink = form.elements[0].value;
	var img = form.elements[2].value;
	var tabtext = form.elements[4].value;
	var dest = form.elements[5].value;
	dev.dynamic_content[dev.i] = ' if(window.visual) window.visual.mouseLink(window.mouseLinkLayer'+ dev.i +');"> <A HREF="'+ dest +'"><IMG ALT="image" SRC="'+ img +'" BORDER=0></A>';
	dev.dynamic_content[dev.i] += '<layer left=15 top=4><A HREF="'+ dest +'">'+ tabtext +'</A></layer></LAYER>';
	dev.i++;
	dev.dynamic_content[dev.i] = '" SRC="'+ mouseLink +'" onLoad="window.mouseLinkLayer'+(dev.i - 1)+' = this;" VISIBILITY="hide" VISIBILITY="hide"></Layer>';
	dev.docWrite(1);
	dev.i++;
}

function addSearch(form) {
	var text = form.elements[0].value;
	var color = form.elements[1].value || "";
	dev.dynamic_content[dev.i] = '" BGCOLOR="'+ color +'"><FORM NAME="searchform" METHOD=GET ACTION="http://cgi.netscape.com/cgi-bin/home_search.cgi" onSubmit="if(window.visual) window.visual.doSearch(this); return false;"><FONT FACE="Arial, Helvetica" COLOR="#000000" SIZE=-1>'+ text +'</FONT><BR><FONT SIZE=-2 POINT-SIZE="8"><SELECT NAME="cp"><OPTION VALUE="AOL">AOL NetFind<OPTION VALUE="Excite">Excite<OPTION VALUE="HotBot">HotBot<OPTION VALUE="Infoseek">Infoseek<OPTION VALUE="LookSmart">LookSmart<OPTION VALUE="Lycos">Lycos<OPTION VALUE="SEARCH.COM">SEARCH.COM<OPTION VALUE="WebCrawler">WebCrawler<OPTION VALUE="Yahoo">Yahoo</SELECT><INPUT TYPE="hidden" NAME="page" VALUE="A"><INPUT TYPE="text" SIZE=21 NAME="searchstring"> <INPUT TYPE="submit" VALUE="Search" onClick="if(window.visual) window.visual.doSearch(document.searchform); return false;"></FONT></FORM></LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addForm(form) {
	var action = form.elements[0].value || "";
	var nameF  = form.elements[1].value || "";
	var method = form.elements[2].value || "";
	var type1  = form.elements[3].value || "";
	var name1  = form.elements[4].value || "";
	var value1 = form.elements[5].value || "";
	var type2  = form.elements[6].value || "";
	var name2  = form.elements[7].value || "";
	var value2 = form.elements[8].value || "";
	var type3  = form.elements[9].value || "";
	var name3  = form.elements[10].value || "";
	var value3 = form.elements[11].value || "";
	var onSub  = form.elements[12].value || "";
	var color  = form.elements[13].value || "";
	dev.dynamic_content[dev.i] = '" BGCOLOR="'+ color +'"><FORM NAME="'+ nameF +'" METHOD='+ method +' ACTION="'+ action +'" onSubmit="'+ onSub +'">';
	dev.dynamic_content[dev.i] += '<INPUT TYPE="'+ type1 +'" NAME="'+ name1 +'" VALUE="'+ value1 +'">';
	dev.dynamic_content[dev.i] += '<INPUT TYPE="'+ type2 +'" NAME="'+ name2 +'" VALUE="'+ value2 +'">';
	dev.dynamic_content[dev.i] += '<INPUT TYPE="'+ type3 +'" NAME="'+ name3 +'" VALUE="'+ value3 +'">';
	dev.dynamic_content[dev.i] += '</FORM></LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function addPreferences(form) {
	var color = form.elements[0].value || "";
	dev.dynamic_content[dev.i] = '" BGCOLOR="'+ color +'"><FORM NAME="prefs"><FONT SIZE=-2 POINT-SIZE="8"><SELECT NAME="prefs" onChange="eval(\'\'+this.options[this.selectedIndex].value);"><OPTION VALUE="">Preferences:<OPTION VALUE="window.visual.DragOff=false;">Turn Drag On<OPTION VALUE="window.visual.DragOff=true;">Turn Drag Off<OPTION VALUE="window.location.reload();">Reload Page</SELECT></FONT></FORM></LAYER>';
	dev.docWrite(1);
	dev.i++;
}

function prop(fun,param) {
	var text = '\n<BR>You first need to open a <NOBR>"New Page" to develop with...</NOBR><P>';
	if (!dev.customWin) {
		//clearAll(1);
		displayCard(0, 'New Page!');
		simpleDialog('Need New Page', text, 'dev.newPage();');
		return;
	} else if (!dev.customWin.document) {
		displayCard(0, 'New Page!');
		simpleDialog('Need New Page', text, 'dev.clearAll(1); dev.newPage();');
		//clearAll(1);
	} else {
		//dev.menuItems('hide');
		displayCard(0);
		if (param) fun(param);
		else fun();
	}
}

function setLayer(i, exec) {
	if (i > 0 && dev.dynamic_Y[0] <= 10) {
		dev.x = 0;
		dev.y = dev.dynamic_Y[i -1] + 100;
		if (dev.y >= dev.customWin.innerHeight - 150) {
			dev.x = 50;
			dev.y = 10;
		}
	} else { 
		dev.x = 0;
		dev.y = 10;
	}
	if (!dev.dynamic_X[i] && !dev.dynamic_Y[i]) {
		dev.dynamic_X[i] = dev.x;
		dev.dynamic_Y[i] = dev.y;
	//} else if ( dev.reset == i ) {
	}
	if (!exec || exec == "") exec = "null";
	dev.dynamic_layer[i] = '<LAYER ID=lyr'+ i +' LEFT='+ dev.dynamic_X[i] +' TOP='+ dev.dynamic_Y[i] +
							 ' onMouseOut="if(window.visual) window.visual.unSetDrag(this);" onMouseOver="if(window.visual) window.visual.setDrag(this, '+ exec +'); ';
}

function reSet(l) {
	if (!dev) return;
	dev.reset = l.name.substring(3,5);
	dev.dynamic_X[dev.reset] = l.left;
	dev.dynamic_Y[dev.reset] = l.top;
	dev.docWrite(0);
}

function customHead() {
	dev.customContent[0] = '<HTML>\n<BASE HREF="'+ dev.base +'" TARGET="newWin">\n<HEAD>';
	dev.customContent[1] = '<TITLE>'+ dev.dynamic_title +'</TITLE>';
	dev.customContent[2] = dev.dynamic_metatag;
	dev.customContent[3] = dev.includeScripts;
	dev.customContent[4] = '\n</HEAD>\n<BODY BGCOLOR="'+ dev.dynamic_bgcolor +'" '+ dev.dynamic_bkgrd +' onLoad="">';
}

function docWrite(type) {
	customHead();
	for (var i=0; i < dev.dynamic_content.length; i++) {
		if (dev.dynamic_content[i].indexOf("drawerLayer") != -1) {
			dev.setLayer(i, 'visual.drawer');
			dev.customContent[i +5] = dev.dynamic_layer[i];
			var drawerLoc = 'left';
			if (eval('dev.customWin.drawerLoc' +i)) drawerLoc = eval('dev.customWin.drawerLoc' +i);
			dev.dynamic_content[i] = '" onLoad="window.drawerLayer'+ i +'=this;  window.drawerState'+ i +'=0; window.drawerLoc'+ i +'=\''+ drawerLoc +'\';" BGCOLOR="#CCCCCC" VISIBILITY="hide"';
			if (dev.drawerUrl[i] != "") dev.dynamic_content[i] += ' SRC="'+ dev.drawerUrl[i] +'"></Layer>';
			else dev.dynamic_content[i] += '>'+ dev.drawerText[i] +'</Layer>';
			dev.customContent[i +5] += dev.dynamic_content[i];
			i++;
			dev.setLayer(i, 'visual.drawer');
			dev.customContent[i +5] = dev.dynamic_layer[i];
			dev.dynamic_content[i] = ' window.drawerTab'+ (i -1) +'=this; window.activeDrawerID='+ (i -1) +';  window.activeDrawerID='+ (i -1) +';" onFocus="if(window.visual.DragOff) window.visual.drawer();"><IMG ALT="drawer tab" SRC="'+ dev.drawerImg[i -1] +'" BORDER=0></layer>';
			dev.customContent[i +5] += dev.dynamic_content[i];
		} else if (dev.dynamic_content[i] != "undefined") {
			dev.setLayer(i);
			dev.customContent[i +5] = dev.dynamic_layer[i];
			dev.customContent[i +5] += dev.dynamic_content[i];
		}
	}
	dev.customContent[i +5] = '</BODY>\n</HTML>';
	if (!dev.customWin.document) { alert('\nSorry, can\'t find a Preview Page window...'); clearAll(1); displayCard(0, 'New Page!'); return; }
	dev.customWin.document.open('text/html');
	for (i=0; i < dev.customContent.length; i++) {
		if (dev.customContent[i] != "undefined") {
			if (i == 5) {
				var includeASCII = "";
				for (var j = 0 ; j <= dev.includeScripts.length ; j++) {
					var ch = dev.includeScripts.substring(j,j+1);
					if (ch == "<") { ch = "&lt;"; }
					includeASCII += ch;
				}
				dev.customWin.document.writeln('<LAYER ID="scripts" VISIBILITY="hide">\n'+ includeASCII +'\n</LAYER>');
				if (dev.storeVToolBarItems != "") {
					dev.customContent[i -1] += '\n<LAYER ID="storeVToolBarItems" VISIBILITY="hide" onLoad="'+ dev.storeVToolBarItems +'"></LAYER>';
				}
			}
			dev.customWin.document.writeln(dev.customContent[i]);
		}
	}
	dev.customWin.document.writeln(dev.cursor);
	dev.customWin.document.close();
	dev.docHistoryType[dev.docHistory] = type;
	dev.docHistory++;
	dev.customWin.dev = dev;
}

function displayCard(n, str, action, noHide) {
	if(!noHide) {
		dev.hideDialogs();
		dev.hideDevButton();
		if (dev.activeCard) dev.activeCard.visibility = 'hide';
		dev.activeCard = document.layers["card" + n];
		dev.activeCard.visibility = 'inherit';
	}
	if (str) {
		dev.devButton(str, action);
	}
}

function hideCard(n) {
	if (top.window.dev.button) {
		top.window.dev.button.l.visibility = 'hide';
		top.window.dev.button = null;
	}
	if (n) {
		document.layers["card" + n].visibility = 'hide';
	} else if (dev.activeCard) {
		dev.activeCard.visibility = 'hide';
	} else {
		for(var i=0; i < dev.totalCards; i++) {
			document.layers["card" + i].visibility = 'hide';
		}
	}
}

function hideDialogs() {
	if (window.newPageDialog) {
		if (!window.newPageDialog.win) return;
		window.newPageDialog.win.base.visibility = "hide";
	}
	if (window.simpleDialogObj) {
		if (!window.simpleDialogObj.win) return;
		window.simpleDialogObj.win.base.visibility = "hide";
	}
	if (window.palette) {
		if (!window.palette.dialog.win) return;
		window.palette.dialog.win.base.visibility = "hide";
	}
	window.NdialogLabel = "";
}

function undo() {
	if (dev.docHistory==0) return;
	if (dev.docHistoryType[dev.docHistory -1] == 1) {
		dev.i--; 
		dev.customContentHistory[dev.i] = dev.dynamic_content[dev.i];
		dev.dynamic_content.length--;
		dev.customContent.length--;
	}
	if (dev.docHistoryType[dev.docHistory -1] == 'bg') dev.dynamic_bkgrd = "";
	dev.docHistory--;
	dev.customWin.history.go(-1);
}
function redo() {
	if (dev.docHistory==0) return;
	//if (dev.dynamic_content.length == dev.docHistory && dev.customContentHistory[dev.i]) {
	if (dev.docHistoryType[dev.docHistory] == 1) {
		dev.dynamic_content.length++;
		dev.customContent.length++;
		dev.dynamic_content[dev.i] = dev.customContentHistory[dev.i];
		dev.customContentHistory[dev.i] = null;
		dev.i++; 
	}
	dev.docHistory++;
	dev.customWin.history.go(1);
}

function clearAll(alrt) {
	//dev.displayCard(15);
	if (alrt == 1) var verify = true;
	else var verify = confirm('This will completely clear all items in your Preview Page!');
	if (verify == true) {
		if (dev.customWin) { 
			if (dev.customWin.close) 
				dev.customWin.close(); 
			}
			dev = null;
			dev = new VisualDHTML();
	}
}

function browse(element) {
	var Frame = new java.awt.Frame();
	var fd = new java.awt.FileDialog(Frame, "Load File", java.awt.FileDialog.LOAD);
	fd.toFront();
	fd.show();
	var getDirectory = new java.awt.FileDialog(Frame);
	var filename = fd.getDirectory() + fd.getFile();
	if (filename != 0) element.value = 'file:/'+ filename;
}

function saveFile(name) {
	name = name || "myFile.html";
	var Frame = new java.awt.Frame();
	var fd = new java.awt.FileDialog(Frame, "Save File", java.awt.FileDialog.SAVE);
	fd.toFront();
	fd.setFile(name);
	fd.toFront();
	fd.show();
	var getDirectory = new java.awt.FileDialog(Frame);
	saveIt(fd.getDirectory() + fd.getFile());
}

function saveIt(file) {
	netscape.security.PrivilegeManager.enablePrivilege("UniversalFileAccess"); // requires Object Signing
	var dos = new java.io.DataOutputStream(new java.io.BufferedOutputStream(new java.io.FileOutputStream(file),512));
	dos.writeBytes("<!-- Netscape Visual DHTML - "+ Date() +" -->\n");
	for (i=0; i < dev.customContent.length; i++) {
		dos.writeBytes(dev.customContent[i] + "\n");
	}
	dos.flush();
}

function setCursor(x,y) {
	dev.cursor = '<LAYER ID="cursor" LEFT='+ x +' TOP='+ y +'><IMG SRC="images/cursor.gif" WIDTH=11 HEIGHT=19></LAYER>';
}

function winStatus(str, visio) {
	if (visio) {
		window.visualStatusBar.items[0].visibility = visio;
	} else {
		with(window.visualStatusBar.items[0]) {
			visibility = "inherit";
			document.ids.sysFont.fontSize = 12;
			document.ids.sysFont.fontFamily = "Arial, Espy, sans-serif";
			document.open("text/html");
			document.writeln('<NOBR><DIV ID="sysFont">'+ str +'</DIV></NOBR>');
			document.close();
		}
	}
}

function togglePalette(which) {
	if (!window.palette) {
		java.lang.System.out.println("togglePalette=" + which);
		return;
	}
	var win = window.palette.dialog.win.doc;
	//with (window.palette.dialog.win.doc) {
	with (win.document) {
		open("text/html");
		if (which == 'Tags') {
			writeln(window.palette.dialogTags);
		} else if (which == 'Links') {
			writeln(window.palette.dialogLinks);
		} else {
			writeln(window.palette.dialogContent);
		}
		close();
	}
	//window.palette.dialog.win.doc.onmousedown = window.palette.hideWidgets;

	//java.lang.System.out.println("len=" + window.dialogWinMorphs);
	if (window.dialogWinMorphs) {
		win = window.dialogWinMorphs[0];
		if (win.close) {
		with (win.document) {
			var bg = bgColor;
			open("text/html");
			if (which == 'Tags') {
				writeln(window.palette.dialogTags);
			} else if (which == 'Links') {
				writeln(window.palette.dialogLinks);
			} else {
				writeln(window.palette.dialogContent);
			}
			close();
			bgColor = bg;
		}
		if(window.dev) 
			win.dev = window.dev;
		}
	} else {
		window.palette.dialog.win.base.visibility = "inherit";
	}

}

function myWidgets(str, fun, width) {
	if (!window.palette) {
		window.palette = new Object();
	}
	//if (!window.palette.dialog) {
	if (str == "hide" || str == "inherit") {
		window.palette.dialog.win.base.visibility = str;
	} else {
		//this needs to be improved...
		window.palette.dialogContent = 
		'<TABLE BORDER=0 CELLPADDING=3><TR><TH ALIGN=LEFT BGCOLOR="#FFFFFF">Widgets</TH><TD BGCOLOR="DDDDDD"><A HREF="javascript:dev.togglePalette(\'Tags\');">Tags</A></td><td BGCOLOR="DDDDDD"><A HREF="javascript:dev.togglePalette(\'Links\');">Links</A></td></TR></TABLE>'+
		'<TABLE BORDER=0><TR><TD BGCOLOR="#FFFFFF"><TABLE BORDER=0 CELLSPACING=3 CELLPADDING=3><TR>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(24);"><B>Drawer</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(8);"><B>Ticker</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(27);"><B>NewsBox</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(28);"><B>MouseLink</B></A></TD></TR><TR>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(29);"><B>Marquee</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(11);"><B>Notepad</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(23);"><B>Clock /Time</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(13);"><B>Date</B></A></TD></TR><TR>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(10);"><B>Applet</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(12);"><B>Browser</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(9);"><B>Layer</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(22);"><B>Plug-ins</B></A></TD></TR><TR>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(30);"><B>Component</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(39);"><B>Search</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(36);"><B>Toolbar</B></A> <A HREF="javascript:dev.displayCard(37);">(<B>Item</B>)</A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(41);"><B>Preferences</B></A></TD>'+
		'</TR></TABLE></TR></TABLE>';

		window.palette.dialogTags = 
		'<TABLE BORDER=0 CELLPADDING=3><TR><TD ALIGN=LEFT BGCOLOR="#DDDDDD"><A HREF="javascript:dev.togglePalette(\'Widgets\');">Widgets</A></TD><TH BGCOLOR="FFFFFF">Tags</TH><TD BGCOLOR="DDDDDD"><A HREF="javascript:dev.togglePalette(\'Links\');">Links</A></td></TR></TABLE>'+
		'<TABLE BORDER=0><TR><TD BGCOLOR="#FFFFFF"><TABLE BORDER=0 CELLSPACING=5 CELLPADDING=6><TR>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(7);"><B>Table</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(26);"><B>Meta</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(25);"><B>Font</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(3);"><B>IMG</B></A></TD></TR><TR>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(5);"><B>A HREF</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(21);"><B>MailTo:</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(1);"><B>Title</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(2);"><B>bgColor</B></A></TD></TR><TR>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(40);"><B>Form</B></A></TD></TR><TR>'+
		'</TR></TABLE></TR></TABLE><P>';

		window.palette.dialogLinks = 
		'<TABLE BORDER=0 CELLPADDING=3><TR><TD ALIGN=LEFT BGCOLOR="#DDDDDD"><A HREF="javascript:dev.togglePalette(\'Widgets\');">Widgets</A></TD><TD BGCOLOR="DDDDDD"><A HREF="javascript:dev.togglePalette(\'Tags\');">Tags</A></td><TH BGCOLOR="FFFFFF">Links</TH></TR></TABLE>'+
		'<TABLE BORDER=0><TR><TD BGCOLOR="#FFFFFF"><TABLE BORDER=0 CELLSPACING=2 CELLPADDING=3><TR>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(5);"><B>Hotlink</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(14);"><B>Button</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(4);"><B>Image Link</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(33);"><B>Animation</B></A></TD></TR><TR>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(39);"><B>Search</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(21);"><B>Email</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(38);"><B>Mailbox</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(6);"><B>Channel Button</B></A></TD></TR><TR>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(31);"><B>Channel Finder</B></A></TD>'+
		'<TD BGCOLOR="#DDDDDD"><A HREF="javascript:dev.displayCard(32);"><B>Netcaster Link</B></A></TD></TR><TR>'+
		'</TR></TABLE></TR></TABLE><P>';

		window.palette.hideWidgets = hideWidgets;
		var dialog = new Dialog();
		dialog.setDialogContent(window.palette.dialogContent);
		dialog.setDialogTitle("Components Palette");
		dialog.setDialogPageX(20);
		dialog.setDialogPageY(50);
		//if (width) dialog.setDialogWidth(width);
		dialog.setDialogBgColor("#CCCCCC");
		dialog.setDialogMorph(true);
		dialog.openDialog('paletteDialog', 'this.win.doc.onFocus = window.palette.hideWidgets;');
		//dialog.win.doc.onFocus = hideWidgets;
		window.palette.dialog = dialog;
		//} else {
		//	window.palette.dialog.win.base.visibility = "inherit";
	}
	if (dev.activeCard) 
		dev.activeCard.visibility = 'hide';
	if (top.window.dev.button) {
		top.window.dev.button.l.visibility = 'hide';
		top.window.dev.button = null;
	}
}

function hideWidgets(e) {
	window.NdialogLabel = "";
	window.palette.dialog.win.base.visibility = "hide";
}

function simpleDialog(title, str, fun, width, height, x, y) {
	var dialog = new Dialog();
	dialog.setDialogTitle(title);
	dialog.setDialogContent(str);
	dialog.setDialogPageX(x || 100);
	dialog.setDialogPageY(y || 100);
	if (width) dialog.setDialogWidth(width);
	if (height) dialog.setDialogWidth(height);
	dialog.setDialogBgColor("#DDDDDD");
	dialog.addDialogButton("OK", "&nbsp;&nbsp;OK&nbsp;&nbsp;", "center", 3, fun);
	dialog.addDialogButton("Cancel", "Cancel", "center", 3, "");
	dialog.openDialog(title);
	window.simpleDialogObj = dialog;
}


function devButton(str, action) {
	dev.hideDevButton();
	if (str && str != "New Page!") {
		var sample = (str || '&nbsp; OK! &nbsp;');
		top.window.dev.button = new Button();
		top.window.dev.button.setButtonValue(sample);
		top.window.dev.button.setButtonAction(action || "dev.displayCard(0, 'New Page!');");
		top.window.dev.button.setButtonPageX(180);
		top.window.dev.button.setButtonPageY(300);
		top.window.dev.button.showButton();
	}
}

function hideDevButton() {
	if (top.window.dev.button) {
		top.window.dev.button.l.visibility = 'hide';
		top.window.dev.button = null;
	}
}
